
QGIS Application - Bug report #18289

GIS 3 Atlas not work with oracle spatial layer

2018-03-01 03:01 PM - dany Lefeuvre

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Windows 7 professionnal Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26180

Description

When my atlas is created on an oracle spatial layer, it can't locate itself on feature.

When I try with a spatialite layer atlas is ok.

Associated revisions

Revision 7ffc148e - 2018-03-06 12:27 AM - Nyall Dawson

[oracle] Fix provider

The oracle provider is quite broken on 3.0 for tables which require

a feature id map.

This is due to QMap<QVariant,..> not working correctly when the

keys are QVariantLists on Qt5. We had a similar issue with the

postgres provider which was resolved by changing the map

to always use QVariantLists.

Apply the same fix to oracle.

Fixes #18289, #16869, #17738

Revision 5234212e - 2018-03-06 02:20 AM - Nyall Dawson

[oracle] Fix provider

The oracle provider is quite broken on 3.0 for tables which require

a feature id map.

This is due to QMap<QVariant,..> not working correctly when the

keys are QVariantLists on Qt5. We had a similar issue with the

postgres provider which was resolved by changing the map

to always use QVariantLists.

Apply the same fix to oracle.

Fixes #18289, #16869, #17738

(cherry-picked from 7ffc148)
History

#1 - 2018-03-01 03:03 PM - Giovanni Manghi

- Status changed from Open to Feedback

It works ok with 2.18?

#2 - 2018-03-01 04:49 PM - dany Lefeuvre

Yes, there are no problem on 2.18

#3 - 2018-03-01 07:38 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2018-03-06 12:27 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|7ffc148e356ef251e93502e3c965bf912592eda2.

#5 - 2018-03-06 09:55 AM - Giovanni Manghi

- Resolution set to fixed/implemented
